package com.ruoyi.dimp.service;

import java.util.List;

import com.ruoyi.dimp.domain.DMarketsubDataInfoPreDetail;
import com.ruoyi.dimp.domain.DMarketsubDataInfoPreImp;
import com.ruoyi.dimp.domain.DMarketsubDataInfo;
import com.baomidou.mybatisplus.extension.service.IService;

/**
 * 市场主体数据导入Service接口
 *
 * @author ruoyi
 * @date 2023-03-19
 */
public interface IDMarketsubDataInfoService extends IService<DMarketsubDataInfo> {
    /**
     * 查询市场主体数据导入列表
     *
     * @param dMarketsubDataInfo 市场主体数据导入
     * @return 市场主体数据导入集合
     * @date 2023-03-19
     */
    List<DMarketsubDataInfo> queryList(DMarketsubDataInfo dMarketsubDataInfo);
    DMarketsubDataInfo queryPoupation(String year,String cityCode);
    DMarketsubDataInfo queryPoupationByCityName(String year, String CodeName);
    String importData(List<DMarketsubDataInfoPreDetail> dataList, DMarketsubDataInfoPreImp imp);
    void deleteByYear(String year);
}
